digiKam Developer Documentation: Digikam::DPluginDImg Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::DPluginDImg Class Referenceabstract
Inheritance diagram for Digikam::DPluginDImg:

## Public Member Functions
| DPluginDImg (QObject *const parent=nullptr)
| Constructor with optional parent object.
| ~DPluginDImg () override=default
| Destructor.
virtual int | canRead (const QFileInfo &fileInfo, bool magic) const =0
| Return > 0 if source file path is supported by the loader and contents can be loaded.
virtual int | canWrite (const QString &format) const =0
| Return > 0 if target file format is supported by the loader and contents can be written.
QStringList | categories () const override
| This kind of plugin do not use a category.
int | count () const override
| This kind of plugin only provide one tool.
virtual DImgLoaderSettings * | exportWidget (const QString &format) const =0
| Return a new widget instance to show settings while exporting image to specified format.
QMap< QString, QStringList > | extraAboutData () const override
| With this kind of plugin, we will display the type-mimes list on about dialog.
QStringList | extraAboutDataRowTitles () const override
| Returns a list of extra data row titles to show in tab of plugin about dialog.
QString | extraAboutDataTitle () const override
| Returns the tab title of data returned by extraAboutData().
bool | hasVisibilityProperty () const override
| This kind of plugin do not need to be configurable.
QString | ifaceIid () const override
| Return the plugin interface identifier.
virtual DImgLoader * | loader (DImg *const image, const DRawDecoding &rawSettings=DRawDecoding()) const =0
| Return the image loader instance for the DImg instance.
virtual QString | loaderName () const =0
| Return a single capitalized word to identify the format supported by the loader.
virtual bool | previewSupported () const
| Return true if the loader can read a preview image.
void | setVisible (bool) override
| This kind of plugin do not have GUI visibility attribute.
virtual QString | typeMimes () const =0
| Return the list of white-listed type-mimes supported by the loader, as a string of file-name suffix separated by spaces.
Public Member Functions inherited from Digikam::DPlugin
| DPlugin (QObject *const parent=nullptr)
| Constructor with optional parent object.
| ~DPlugin () override
| Destructor.
virtual QList< DPluginAuthor > | authors () const =0
| Returns authors list for the plugin.
virtual void | cleanUp ()
| Plugin method to clean up internal created objects.
virtual QString | description () const =0
| Returns a short description about the plugin.
virtual QString | details () const =0
| Returns a long description about the plugin.
virtual QString | handbookChapter () const
| Return the online handbook chapter from an handbook section corresponding to this plugin.
virtual QString | handbookReference () const
| Return the online handbook reference from an handbook chapter corresponding to this plugin.
virtual QString | handbookSection () const
| Return the online handbook section corresponding to this plugin.
virtual QIcon | icon () const
| Returns an icon for the plugin.
virtual QString | iid () const =0
| Returns the unique internal identification property of the plugin.
QString | libraryFileName () const
| Returns the file name of the library for this plugin.
virtual QString | name () const =0
| Returns the user-visible name of the plugin.
QStringList | pluginAuthors () const
| Return a list of authors as strings registered in this plugin.
void | setLibraryFileName (const QString &)
| Sets the file name of the library for this plugin.
void | setShouldLoaded (bool b)
| Accessor to adjust the should loaded plugin property.
virtual void | setup (QObject *const parent)=0
| Plugin factory method to create all internal object instances for a given parent.
bool | shouldLoaded () const
| Return the should loaded property.
QString | version () const
| Return the internal version used to check the binary compatibility at run-time.

## Member Function Documentation

## ◆ canRead()

virtual int Digikam::DPluginDImg::canRead | ( | const QFileInfo & | fileInfo,
|  | bool | magic
| ) |  | const
| pure virtual

The return value (1 - 100) is a priority. digiKam default loaders have a priority of 10, the QImage loader has a priority of 80 and the ImageMagick loader has a priority of 90. If the loader is to be used before the default loader, the value must be less than 10.

## ◆ canWrite()

virtual int Digikam::DPluginDImg::canWrite | ( | const QString & | format | ) | const
| pure virtual

The return value (1 - 100) is a priority.

## ◆ categories()

QStringList Digikam::DPluginDImg::categories | ( |  | ) | const
| inlineoverridevirtual

Implements Digikam::DPlugin.

## ◆ count()

int Digikam::DPluginDImg::count | ( |  | ) | const
| inlineoverridevirtual

Implements Digikam::DPlugin.

## ◆ exportWidget()

virtual DImgLoaderSettings * Digikam::DPluginDImg::exportWidget | ( | const QString & | format | ) | const
| pure virtual

Return nullptr if format is not supported or if no settings widget is available for this format.

## ◆ extraAboutData()

QMap< QString, QStringList > Digikam::DPluginDImg::extraAboutData | ( |  | ) | const
| overridevirtual

Reimplemented from Digikam::DPlugin.

## ◆ extraAboutDataRowTitles()

QStringList Digikam::DPluginDImg::extraAboutDataRowTitles | ( |  | ) | const
| overridevirtual

Reimplemented from Digikam::DPlugin.

## ◆ extraAboutDataTitle()

QString Digikam::DPluginDImg::extraAboutDataTitle | ( |  | ) | const
| overridevirtual

Reimplemented from Digikam::DPlugin.

## ◆ hasVisibilityProperty()

bool Digikam::DPluginDImg::hasVisibilityProperty | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from Digikam::DPlugin.

## ◆ ifaceIid()

QString Digikam::DPluginDImg::ifaceIid | ( |  | ) | const
| inlineoverridevirtual

Implements Digikam::DPlugin.

## ◆ loaderName()

virtual QString Digikam::DPluginDImg::loaderName | ( |  | ) | const
| pure virtual

Ex: jpeg => "JPG" ; tiff => "TIF", etc.

## ◆ setVisible()

void Digikam::DPluginDImg::setVisible | ( | bool |  | ) |
| inlineoverridevirtual

Implements Digikam::DPlugin.

## ◆ typeMimes()

virtual QString Digikam::DPluginDImg::typeMimes | ( |  | ) | const
| pure virtual

Ex: "jpeg jpg thm"